Subject: Greetings From Mariam

From: "Mariam" <[email-masked]>
Date: Tue, 10 Jul 2012 11:46:19 +0100

Greetings From Mariam
How are you ? i hope that all is well with you, My name is miss mariam, i
know that you may be surprise how i get your email, i got your email today
when i was browsing looking for honest partner,then i feel to drop this
few line to you, and i will like you to contact me through my
email,[email-masked] so that we can know each other and
exchange our pictures, and we may become partner.Remember the distance
does not
matter what matters is the love we share with each other. i am waiting to
hear from you soon.
kiss regards Miss Mariam